Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Managed Service for Apache Kafka®
KZ
  • Начало работы
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Resume
        • Pause
  • Метрики Yandex Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Вопросы и ответы
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • ConnectorConfigMirrorMaker
  • ClusterConnection
  • ExternalClusterConnection
  • ConnectorConfigS3Sink
  • S3Connection
  • ExternalS3Storage
  • ConnectorConfigIcebergSink
  • MetastoreConnection
  • IcebergS3Connection
  • ExternalIcebergS3Storage
  • StaticTables
  • DynamicTables
  • IcebergTablesConfig
  • IcebergControl
  1. Справочник API
  2. REST (англ.)
  3. Connector
  4. Get

Managed Service for Apache Kafka® API, REST: Connector.Get

Статья создана
Yandex Cloud
Обновлена 22 мая 2026 г.
  • HTTP request
  • Path parameters
  • Response
  • ConnectorConfigMirrorMaker
  • ClusterConnection
  • ExternalClusterConnection
  • ConnectorConfigS3Sink
  • S3Connection
  • ExternalS3Storage
  • ConnectorConfigIcebergSink
  • MetastoreConnection
  • IcebergS3Connection
  • ExternalIcebergS3Storage
  • StaticTables
  • DynamicTables
  • IcebergTablesConfig
  • IcebergControl

Returns information about an Apache Kafka® connector.

HTTP requestHTTP request

GET https://mdb.api.yandexcloud.kz/managed-kafka/v1/clusters/{clusterId}/connectors/{connectorName}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Apache Kafka® cluster the connector belongs to.

To get this ID, make a ClusterService.List request.

The maximum string length in characters is 50.

connectorName

string

Required field. Name of the Apache Kafka® connector to return information about.

To get this name, make a ConnectorService.List request.

The maximum string length in characters is 256. Value must match the regular expression [-_.a-zA-Z0-9]*.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "tasksMax": "string",
  "properties": "object",
  "health": "string",
  "status": "string",
  "clusterId": "string",
  // Includes only one of the fields `connectorConfigMirrormaker`, `connectorConfigS3Sink`, `connectorConfigIcebergSink`
  "connectorConfigMirrormaker": {
    "sourceCluster": {
      "alias": "string",
      // Includes only one of the fields `thisCluster`, `externalCluster`
      "thisCluster": "object",
      "externalCluster": {
        "bootstrapServers": "string",
        "saslUsername": "string",
        "saslMechanism": "string",
        "securityProtocol": "string"
      }
      // end of the list of possible fields
    },
    "targetCluster": {
      "alias": "string",
      // Includes only one of the fields `thisCluster`, `externalCluster`
      "thisCluster": "object",
      "externalCluster": {
        "bootstrapServers": "string",
        "saslUsername": "string",
        "saslMechanism": "string",
        "securityProtocol": "string"
      }
      // end of the list of possible fields
    },
    "topics": "string",
    "replicationFactor": "string"
  },
  "connectorConfigS3Sink": {
    "topics": "string",
    "fileCompressionType": "string",
    "fileMaxRecords": "string",
    "s3Connection": {
      "bucketName": "string",
      // Includes only one of the fields `externalS3`
      "externalS3": {
        "accessKeyId": "string",
        "endpoint": "string",
        "region": "string"
      }
      // end of the list of possible fields
    }
  },
  "connectorConfigIcebergSink": {
    // Includes only one of the fields `topics`, `topicsRegex`
    "topics": "string",
    "topicsRegex": "string",
    // end of the list of possible fields
    "controlTopic": "string",
    "metastoreConnection": {
      "catalogUri": "string",
      "warehouse": "string"
    },
    "s3Connection": {
      // Includes only one of the fields `externalS3`
      "externalS3": {
        "accessKeyId": "string",
        "endpoint": "string",
        "region": "string"
      }
      // end of the list of possible fields
    },
    // Includes only one of the fields `staticTables`, `dynamicTables`
    "staticTables": {
      "tables": "string"
    },
    "dynamicTables": {
      "routeField": "string"
    },
    // end of the list of possible fields
    "tablesConfig": {
      "defaultCommitBranch": "string",
      "defaultIdColumns": "string",
      "defaultPartitionBy": "string",
      "evolveSchemaEnabled": "boolean",
      "schemaForceOptional": "boolean",
      "schemaCaseInsensitive": "boolean"
    },
    "controlConfig": {
      "groupIdPrefix": "string",
      "commitIntervalMs": "string",
      "commitTimeoutMs": "string",
      "commitThreads": "string",
      "transactionalPrefix": "string"
    }
  }
  // end of the list of possible fields
}

Field

Description

name

string

Name of the connector.

tasksMax

string (int64)

Maximum number of connector tasks. Default value is the number of brokers.

properties

object (map<string, string>)

A set of properties passed to Managed Service for Apache Kafka® with the connector configuration.
Example: sync.topics.config.enabled: true.

health

enum (Health)

Connector health.

  • HEALTH_UNKNOWN: Health of the connector is unknown.
  • ALIVE: Connector is running.
  • DEAD: Connector has failed to start.

status

enum (Status)

Current status of the connector.

  • STATUS_UNKNOWN: Connector state is unknown.
  • RUNNING: Connector is running normally.
  • ERROR: Connector has encountered a problem and cannot operate.
  • PAUSED: Connector is paused.

clusterId

string

ID of the Apache Kafka® cluster that the connector belongs to.

connectorConfigMirrormaker

ConnectorConfigMirrorMaker

Configuration of the MirrorMaker connector.

Includes only one of the fields connectorConfigMirrormaker, connectorConfigS3Sink, connectorConfigIcebergSink.

Additional settings for the connector.

connectorConfigS3Sink

ConnectorConfigS3Sink

Configuration of S3-Sink connector.

Includes only one of the fields connectorConfigMirrormaker, connectorConfigS3Sink, connectorConfigIcebergSink.

Additional settings for the connector.

connectorConfigIcebergSink

ConnectorConfigIcebergSink

Configuration of Iceberg Sink connector.

Includes only one of the fields connectorConfigMirrormaker, connectorConfigS3Sink, connectorConfigIcebergSink.

Additional settings for the connector.

ConnectorConfigMirrorMakerConnectorConfigMirrorMaker

Field

Description

sourceCluster

ClusterConnection

Source cluster connection configuration.

targetCluster

ClusterConnection

Target cluster connection configuration.

topics

string

List of Kafka topics, separated by ,.

replicationFactor

string (int64)

Replication factor for automatically created topics.

ClusterConnectionClusterConnection

Field

Description

alias

string

Alias of cluster connection configuration.
Examples: source, target.

thisCluster

object

Connection configuration of the cluster the connector belongs to. As all credentials are already known, leave this parameter empty.

Includes only one of the fields thisCluster, externalCluster.

Type of connection to Apache Kafka® cluster.

externalCluster

ExternalClusterConnection

Configuration of connection to an external cluster with all the necessary credentials.

Includes only one of the fields thisCluster, externalCluster.

Type of connection to Apache Kafka® cluster.

ExternalClusterConnectionExternalClusterConnection

Field

Description

bootstrapServers

string

List of bootstrap servers of the cluster, separated by ,.

saslUsername

string

SASL username to use for connection to the cluster.

saslMechanism

string

SASL mechanism to use for connection to the cluster.

securityProtocol

string

Security protocol to use for connection to the cluster.

ConnectorConfigS3SinkConnectorConfigS3Sink

An Apache Kafka® S3-Sink
connector resource.

Field

Description

topics

string

List of Kafka topics, separated by ','.

fileCompressionType

string

The compression type used for files put on GCS.
The supported values are: gzip, snappy, zstd, none.
Optional, the default is none.

fileMaxRecords

string (int64)

Max records per file.

s3Connection

S3Connection

Credentials for connecting to S3 storage.

S3ConnectionS3Connection

Resource for S3Connection -
settings of connection to AWS-compatible S3 storage, that
are source or target of Kafka S3-connectors.
YC Object Storage is AWS-compatible.

Field

Description

bucketName

string

Name of the bucket.

externalS3

ExternalS3Storage

Configuration for connection to S3 storage.

Includes only one of the fields externalS3.

ExternalS3StorageExternalS3Storage

Field

Description

accessKeyId

string

ID of the AWS access key.

endpoint

string

S3 endpoint.

region

string

AWS region. Default is 'us-east-1'.

ConnectorConfigIcebergSinkConnectorConfigIcebergSink

Resource for Kafka Iceberg Sink Connector.

Field

Description

topics

string

List of Kafka topics, separated by ','.

Includes only one of the fields topics, topicsRegex.

topicsRegex

string

Regex of Kafka topics.

Includes only one of the fields topics, topicsRegex.

controlTopic

string

Control topic name for Iceberg connector.

metastoreConnection

MetastoreConnection

Credentials for connecting to Managed Hive Metastore.

s3Connection

IcebergS3Connection

Credentials for connecting to S3 storage.

staticTables

StaticTables

Static table routing

Includes only one of the fields staticTables, dynamicTables.

Table routing strategy

dynamicTables

DynamicTables

Dynamic table routing

Includes only one of the fields staticTables, dynamicTables.

Table routing strategy

tablesConfig

IcebergTablesConfig

Optional table settings

controlConfig

IcebergControl

Optional control settings

MetastoreConnectionMetastoreConnection

Field

Description

catalogUri

string

Thrift URI of Hive Metastore
Format: "thrift://host:9083"

warehouse

string

Warehouse root directory in S3
Format: "s3a://bucket-name/path/to/warehouse"
Can be any path within the bucket, not necessarily "/warehouse"

IcebergS3ConnectionIcebergS3Connection

Resource for IcebergS3Connection -
settings of connection to AWS-compatible S3 storage, that
are target of Kafka Iceberg-connectors.
YC Object Storage is AWS-compatible.

Field

Description

externalS3

ExternalIcebergS3Storage

Configuration for connection to S3 storage.

Includes only one of the fields externalS3.

ExternalIcebergS3StorageExternalIcebergS3Storage

Field

Description

accessKeyId

string

ID of the AWS access key.

endpoint

string

S3 endpoint.

region

string

AWS region. Default is 'us-east-1'.

StaticTablesStaticTables

Field

Description

tables

string

List of tables, separated by ','.

DynamicTablesDynamicTables

Field

Description

routeField

string

Field in the message to define the target table
The iceberg.tables.dynamic-enabled field is set to true

IcebergTablesConfigIcebergTablesConfig

Field

Description

defaultCommitBranch

string

Default Git-like branch name for Iceberg commits.
Default: "main"

defaultIdColumns

string

List of columns used as identifiers for upsert operations, separated by ','.

defaultPartitionBy

string

Comma-separated list of columns or transform expressions for table partitioning.
Defines physical data layout for query optimization.
Examples:

  • "date"
  • "year,month"
  • "year(timestamp),month(timestamp)"
  • "days(timestamp)"
  • "bucket(16,user_id)"

evolveSchemaEnabled

boolean

Enable automatic schema evolution.
Default: false

schemaForceOptional

boolean

Force all columns to be nullable (optional).
Default: false

schemaCaseInsensitive

boolean

Enable case-insensitive field name matching.
Default: false

IcebergControlIcebergControl

Field

Description

groupIdPrefix

string

Consumer group ID prefix for control topic.
Default: "cg-control"

commitIntervalMs

string (int64)

Interval between commits in milliseconds.
Default: 300000 (5 minutes)

commitTimeoutMs

string (int64)

Commit operation timeout in milliseconds.
Default: 30000 (30 seconds)

commitThreads

string (int64)

Number of threads for commit operations.
Default: cores * 2

transactionalPrefix

string

Prefix for transactional operations.
Default: ""

Была ли статья полезна?

Предыдущая
Overview
Следующая
List
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»